Skip to content
Branch: master
Find file History
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
..
Failed to load latest commit information.
CMake.cpp
CMake.h
CMakeBuilder.cpp
CMakeBuilder.h
CMakeConfiguration.h
CMakeGenerator.cpp
CMakeGenerator.h
CMakeHelpTab.cpp
CMakeHelpTab.h
CMakeLists.txt
CMakeParser.cpp
CMakeParser.h
CMakePlugin.cpp
CMakePlugin.h
CMakePlugin.project
CMakePlugin.wxcp
CMakePluginUi.cpp
CMakePluginUi.h
CMakePluginUi_bitmaps.cpp
CMakeProjectSettings.h
CMakeSettingsDialog.cpp
CMakeSettingsDialog.h
CMakeSettingsManager.cpp
CMakeSettingsManager.h
LICENSE
README.md
cmake-16.png
cmake-24.png

README.md

CMakePlugin

CMake plugin for CodeLite IDE

Build

Requirements

Building this plugin requires:

  • CodeLite sources.
  • wxWidgets (> 2.9.5).
  • Placing plugin's sources into "CMakePlugin" directory inside CodeLite's sources directory.
  • C++98 compiler.
  • CMake for Linux build.

Windows

Open CodeLite's workspace in CodeLite and add CMakePlugin project into the workspace. You can build the plugin now but linker will need to build some CodeLite's libraries (or just build LiteEditor project before).

Linux

Modification of the main CodeLite's CMakeLists.txt is required because current version (5.3) of the CodeLite doesn't support passing a list of user plugins as a cmake argument. Just add a line:

add_subdirectory(CMakePlugin)

inside of block that starts with (at the end)

if ( NOT NO_CPP_PLUGINS )

and then follows CodeLite's build instructions.

Others

Others OS have not been tested, sorry.

Manual

TODO

You can’t perform that action at this time.